All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::KeypointScaler Class Reference

`#include <keypointScaler.hpp>`

## Public Member Functions

| KeypointScaler (const ScaleMode scaleMode)
virtual | ~KeypointScaler ()
void | scale (Array< float > &arrayToScale, const double scaleInputToOutput, const double scaleNetToOutput, const Point< int > &producerSize) const
void | scale (std::vector< Array< float >> &arraysToScale, const double scaleInputToOutput, const double scaleNetToOutput, const Point< int > &producerSize) const
void | scale (std::vector< std::vector< std::array< float, 3 >>> &poseCandidates, const double scaleInputToOutput, const double scaleNetToOutput, const Point< int > &producerSize) const

## Constructor & Destructor Documentation

op::KeypointScaler::KeypointScaler | ( | const ScaleMode | scaleMode | ) |

explicit

virtual op::KeypointScaler::~KeypointScaler | ( |  | ) |

virtual

## Member Function Documentation

void op::KeypointScaler::scale | ( | Array< float > & | arrayToScale,
|  | const double | scaleInputToOutput,
|  | const double | scaleNetToOutput,
|  | const Point< int > & | producerSize
| ) |  | const

void op::KeypointScaler::scale | ( | std::vector< Array< float >> & | arraysToScale,
|  | const double | scaleInputToOutput,
|  | const double | scaleNetToOutput,
|  | const Point< int > & | producerSize
| ) |  | const

void op::KeypointScaler::scale | ( | std::vector< std::vector< std::array< float, 3 >>> & | poseCandidates,
|  | const double | scaleInputToOutput,
|  | const double | scaleNetToOutput,
|  | const Point< int > & | producerSize
| ) |  | const

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/core/keypointScaler.hpp